Autor Zpráva
Janvesely12
Profil
Když zapínám apache 2.2 na win XP a mám povolené tyto extension:
;extension=php_interbase.dll
;extension=php_oci8.dll
;extension=php_oci8_11g.dll
;extension=php_pdo_firebird.dll
;extension=php_pdo_oci.dll
;extension=php_pspell.dll
;extension=php_sybase_ct.dll
;extension=php_zip.dll
Tak mi vyskakuje varování na začátku, ostatní fungují a i když tyto knihovny mám povolené, tak mi apacha nastartuje, jenom je to otravné. Nevíte jak bych to mohl vyřešit?
Děkuji
Jan Tvrdík
Profil
Janvesely12:
Co třeba napsat, jaké varování se ti objevuje? :)
Janvesely12
Profil
:D To by bylo hezké, ale žádné. Jenom nadpis je WARNING a obsah je PHP Startup. Jinak v logu apache 2 je tento zápis:
PHP Warning:  PHP Startup:  in Unknown on line 0
Davex
Profil
Janvesely12:
Dovoluji si odhadnout, že v adresáři ext/ chybí uvedené knihovny, a proto se nemůžou načíst. Potřebuješ některou z nich? Pokud ne, tak je nech zakomentované.
Janvesely12
Profil
Nechybí a teď je nepotřebuji, ale knihovna zip by se mohla hodit.
Davex
Profil
Odkud a jakou verzi jsi stahoval? Já tam soubory php_pspell.dll a php_zip.dll nemám. U těch databázových rozšíření budou asi v systému chybět nějaké další knihovny.
Janvesely12
Profil
Stahoval jsem to normálně z php.net, mám verzi 5.4.3 a knihovny jsou v Non Thread Safe.
Davex
Profil
Rozšíření zip by ti chybět nemělo, protože je zkompilováno jako součást PHP a není potřeba dodatečně nahrávat jako rozšíření. U ostatních platí tyto závislosti na jiných knihovnách.
Janvesely12
Profil
Tím spíše nevím proč mi to nefunguje. :)

Vaše odpověď

Mohlo by se hodit

Pokuste se již v titulku uvést název programu související s tématem.

Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: